{% extends 'base.html' %}

{% load django_bootstrap5 %}

{% block title %}
Planeks | Data Set
{% endblock %}
{% block content %}
<div class="container">
    <div class="row">
        <div class="col">
            <h2>Data Sets</h2>
        </div>
        <div class="col text-end">
            <form method="post">
                {% csrf_token %}
                <div class="row">
                    {% bootstrap_form generator_form layout='horizontal' wrapper_class='col' %}
                    <div class="col">
                        {% bootstrap_button button_type="submit" content="Submit" size=md extra_classes="float-end" %}
                    </div>
                </div>
            </form>
        </div>
    </div>

    <table class="table table-bordered">
        <thead>
            <tr>
                <th scope="col">
                    #
                </th>
                <th scope="col">
                    Created
                </th>
                <th scope="col">
                    Status
                </th>
                <th scope="col">
                    Actions
                </th>
            </tr>
        </thead>
        <tbody>
            {% for dataset in page_obj %}

            <tr>
                <td scope="col">
                    {{ forloop.counter }}
                </td>
                <td scope="col">
                    {{ dataset.created_at|date:'Y-m-d' }}
                </td>
                <td scope="col">
                    <span class="badge {% if dataset.file %}bg-success {% else %}bg-secondary{% endif %}">{{ dataset.status|title }}</span>
                </td>
                <td scope="col">
                    {% if dataset.file %}
                    <a href="/{{ dataset.file }}">Download</a>
                    {% endif %}
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    {% if page_obj.paginator.num_pages > 1 %}
        {% bootstrap_pagination page_obj size="sm" %}
    {% endif %}
</div>

{% endblock %}
